高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviLink Class Reference

`#include <AMapNaviRoute.h>`

Inheritance diagram for AMapNaviLink:

## Properties
NSArray< AMapNaviPoint * > * | coordinates
NSInteger | length
NSInteger | time
NSString * | roadName
AMapNaviRoadClass | roadClass
AMapNaviFormWay | formWay
BOOL | isHadTrafficLights
AMapNaviRouteStatus | trafficStatus
NSInteger | trafficFineStatus
AMapNaviLinkType | linkType
AMapNaviOwnershipType | ownershipType

## Detailed Description

分段的Link信息 Segmented Link information

## Property Documentation

## ◆ coordinates

- (NSArray<AMapNaviPoint *>*) coordinates
| read write nonatomic strong

Link的所有坐标 All coordinates of the Link

## ◆ formWay

- (AMapNaviFormWay) formWay
| read write nonatomic assign

Link的FormWay信息 Link's FormWay information

## ◆ isHadTrafficLights

- (BOOL) isHadTrafficLights
| read write nonatomic assign

Link是否有红绿灯 Whether the Link has traffic lights

## ◆ length

- (NSInteger) length
| read write nonatomic assign

Link的长度(单位:米) Length of the Link (unit: meters)

## ◆ linkType

- (AMapNaviLinkType) linkType
| read write nonatomic assign

Link的类型. 注意:只针对驾车. since 6.3.0 Type of Link, note: only for driving

## ◆ ownershipType

- (AMapNaviOwnershipType) ownershipType
| read write nonatomic assign

Link的ownership类型. 注意:只针对驾车. since 9.6.0 Ownership type of Link, note: only for driving

## ◆ roadClass

- (AMapNaviRoadClass) roadClass
| read write nonatomic assign

Link的道路类型 Link's road type

## ◆ roadName

- (NSString*) roadName
| read write nonatomic strong

Link的道路名称 Road name of the Link

## ◆ time

- (NSInteger) time
| read write nonatomic assign

Link的预估时间(单位:秒) Estimated time of the Link (unit: seconds)

## ◆ trafficFineStatus

- (NSInteger) trafficFineStatus
| read write nonatomic assign

## ◆ trafficStatus

- (AMapNaviRouteStatus) trafficStatus
| read write nonatomic assign

Link的路况信息. 注意:只针对驾车. since 6.3.0 Link's traffic condition information, note: only for driving

The documentation for this class was generated from the following file:

- AMapNaviRoute.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。